Subject: [Errata Held for Document Update] RFC7540 (4535)

From: RFC Errata System <[email-masked]>
Date: Thu, 19 Nov 2015 14:46:36 -0800 (PST)

The following errata report has been held for document update 
for RFC7540, "Hypertext Transfer Protocol Version 2 (HTTP/2)". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7540&eid=4535

--------------------------------------
Status: Held for Document Update
Type: Technical

Reported by: Erik Schnell <[email-masked]>
Date Reported: 2015-11-17
Held by: Barry Leiba (IESG)

Section: 5.1

Original Text
-------------
(content of Figure 2)

Corrected Text
--------------
(see notes, below)

Notes
-----
Section 5.1 Figure 2 is unclear about what stream is being depicted when PUSH_PROMISE is used.  The figure shows a transition from /idle/ to /reserved (local)/ on a PUSH_PROMISE receive, but Section 6.6 only allows PUSH_PROMISE to be sent on a stream that is in /open/ or /half-closed (remote)/ state.  But these are talking about different streams.

A note should be added to figure 2 in section 5.1 clarifying that where a PUSH_PROMISE is sent or received, the state diagram is for the promised stream, not the original stream.

--------------------------------------
RFC7540 (draft-ietf-httpbis-http2-17)
--------------------------------------
Title               : Hypertext Transfer Protocol Version 2 (HTTP/2)
Publication Date    : May 2015
Author(s)           : M. Belshe, R. Peon, M. Thomson, Ed.
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG